////////////////////////////////////////////////////////////////////////////////
//
//  Copyright (c) 2007 IWantGamez, LLC.  All rights reserved.
//  
//  Author: John Holben         Date: 05.02.2007
//
////////////////////////////////////////////////////////////////////////////////

function downloadTop10()
{
    try
    {
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
        xmlhttp.open("GET", "http://www.iwantgamez.com/Feeds/sideBarTop10Feed.php",true);
        xmlhttp.onreadystatechange=function() {  if (xmlhttp.readyState==4) { parseTop10(xmlhttp.responseText )  }  }
        xmlhttp.send(null)
    }
    catch(err)
    {
        Debug.write(err);
    }
}

function parseTop10(soap)
{
    var doc=new ActiveXObject("Microsoft.XMLDOM");
    doc.async= "false";
    
    try
    {
        if(doc.loadXML(soap) == false)
        {
            return;
        }    
    }
    catch(err)
    {
        Debug.write(err);
        return;
    }
    
    // Select each Game Node
    var games = doc.childNodes[2].selectNodes("//item")
    
    // Loop thru all Games
    for(var i = 0; i< games.length; i++)
    {
        // Create short cuts to elements
        var img = document.getElementById("Img" + ( i + 1));
        var a = document.getElementById("a" + (i + 1));

        try
        {   
            // Parse out title
            img.alt = games[i].selectSingleNode("title").text;
            // Parse out image 
            img.src = games[i].selectSingleNode("description").text;
            // Parse out link
            a.href = games[i].selectSingleNode("link").text;
            // all is good make visible
            img.style.visibility = "visible";
        }
        catch(err)
        {
            Debug.write(err);
        }
    }
}
